Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.interop
Class RMInteropServiceStub

    java.lang.Object
      org.apache.axis2.client.Stub
          org.apache.sandesha2.interop.RMInteropServiceStub

public class RMInteropServiceStub
extends org.apache.axis2.client.Stub

Field Summary
`protected org.apache.axis2.description.AxisOperation[]` | `_operations`

Fields inherited from class org.apache.axis2.client.Stub
`_service, _serviceClient, modules`

Constructor Summary
`RMInteropServiceStub()` Default Constructor
`RMInteropServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext, java.lang.String targetEndpoint)` Constructor that takes in a configContext
`RMInteropServiceStub(java.lang.String targetEndpoint)` Constructor taking the target endpoint

Method Summary
`org.tempuri.EchoStringResponse` | `EchoString(org.tempuri.EchoString param30)` Auto generated method signature
`void` | `Ping(org.tempuri.Ping param32)`
`void` | `startEchoString(org.tempuri.EchoString param30, RMInteropServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations

Methods inherited from class org.apache.axis2.client.Stub
`_getServiceClient, _setServiceClient, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _operations

    protected org.apache.axis2.description.AxisOperation[] _operations

Constructor Detail

### RMInteropServiceStub

    public RMInteropServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                java.lang.String targetEndpoint)
                         throws org.apache.axis2.AxisFault

  Constructor that takes in a configContext

### RMInteropServiceStub

    public RMInteropServiceStub()
                         throws org.apache.axis2.AxisFault

  Default Constructor

### RMInteropServiceStub

    public RMInteropServiceStub(java.lang.String targetEndpoint)
                         throws org.apache.axis2.AxisFault

  Constructor taking the target endpoint

Method Detail

### EchoString

    public org.tempuri.EchoStringResponse EchoString(org.tempuri.EchoString param30)
                                              throws java.rmi.RemoteException

  Auto generated method signature

  Parameters:
    `param30` -
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `org.apache.sandesha2.interop.RMInteropService#EchoString`

### startEchoString

    public void startEchoString(org.tempuri.EchoString param30,
                                RMInteropServiceCallbackHandler callback)
                         throws java.rmi.RemoteException

  Auto generated method signature for Asynchronous Invocations

  Parameters:
    `param30` -
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `org.apache.sandesha2.interop.RMInteropService#startEchoString`

### Ping

    public void Ping(org.tempuri.Ping param32)
              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.